Package org.bukkit.command

# Class MultipleCommandAlias

java.lang.Object
org.bukkit.command.Command
org.bukkit.command.MultipleCommandAlias

public class MultipleCommandAlias extends Command
Represents a command that delegates to one or more other commands

## Field Summary

### Fields inherited from class org.bukkit.command.Command

`description, timings, usageMessage`

## Constructor Summary

Constructors
Constructor
Description
`MultipleCommandAlias(@NotNull String name, @NotNull Command[] commands)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`execute(@NotNull CommandSender sender, @NotNull String commandLabel, @NotNull String[] args)`
Executes the command, returning its success
`@NotNull Command[]`
`getCommands()`
Gets the commands associated with the multi-command alias.

### Methods inherited from class org.bukkit.command.Command

`broadcastCommandMessage, broadcastCommandMessage, broadcastCommandMessage, broadcastCommandMessage, getAliases, getDescription, getLabel, getName, getPermission, getPermissionMessage, getTimingName, getUsage, isRegistered, permissionMessage, permissionMessage, register, setAliases, setDescription, setLabel, setName, setPermission, setPermissionMessage, setUsage, tabComplete, tabComplete, testPermission, testPermissionSilent, toString, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MultipleCommandAlias

public MultipleCommandAlias(@NotNull @NotNull String name, @NotNull @NotNull Command[] commands)

## Method Details

### getCommands

@NotNull public @NotNull Command[] getCommands()
Gets the commands associated with the multi-command alias.

Returns:
  commands associated with alias

### execute

public boolean execute(@NotNull @NotNull CommandSender sender, @NotNull @NotNull String commandLabel, @NotNull @NotNull String[] args)
Description copied from class: `Command`
Executes the command, returning its success

Specified by:
  `execute` in class `Command`
Parameters:
  `sender` - Source object which is executing this command
  `commandLabel` - The alias of the command used
  `args` - All arguments passed to the command, split via ' '
Returns:
  true if the command was successful, otherwise false